Bug 481567 - Review Request: perl-MooseX-Async - Set of Metaclasses for MooseX::POE and it's siblings
Review Request: perl-MooseX-Async - Set of Metaclasses for MooseX::POE and i...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-26 08:07 EST by Allisson Azevedo
Modified: 2009-01-31 10:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-31 10:49:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Allisson Azevedo 2009-01-26 08:07:10 EST
Spec URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Async/perl-MooseX-Async.spec

SRPM URL: http://allisson.fedorapeople.org/packages/perl-MooseX-Async/perl-MooseX-Async-0.07-1.fc10.src.rpm

Description: MooseX::Async is a set of Metaclasses for MooseX::POE and it's siblings.
Comment 1 Parag AN(पराग) 2009-01-26 10:33:19 EST
Review:
+ package builds in mock (rawhide i386).
koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1083163
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
bddb5edbe0e3e325d84eb4e5c6a49e7d  MooseX-Async-0.07.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
All tests successful.
Files=1, Tests=6,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.35 cusr  0.02 csys =  0.38 CPU)
+ Package perl-MooseX-Async-0.07-1.fc11 ->
Provides:
 perl(MooseX::Async) = 0.07 perl(MooseX::Async::Meta::Class) perl(MooseX::Async::Meta::Method::State) perl(MooseX::Async::Meta::Role) perl(MooseX::Async::Meta::Trait)
Requires: perl(Moose) perl(Moose::Role) perl(MooseX::Async::Meta::Method::State) perl(MooseX::AttributeHelpers) perl(strict)

 APPROVED.
Comment 2 Allisson Azevedo 2009-01-26 11:14:59 EST
New Package CVS Request
=======================
Package Name: perl-MooseX-Async
Short Description: Set of Metaclasses for MooseX::POE and it's siblings
Owners: allisson
Branches: F-9 F-10
Comment 3 Kevin Fenzi 2009-01-26 17:28:20 EST
cvs done.
Comment 4 Fedora Update System 2009-01-29 18:03:42 EST
perl-MooseX-Async-0.07-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MooseX-Async'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-1102

Note You need to log in before you can comment on or make changes to this bug.